export function Gripstone(damageSource, deadEntity) {
    if (deadEntity.typeId === 'lv_mo:gripstone') {
        const nearbyDummyEntities = deadEntity.dimension.getEntities({
            location: deadEntity.location,
            maxDistance: 0.5,
            type: 'lv_mo:gripstone_dummy'
        });

        nearbyDummyEntities.forEach((dummyEntity) => {
            dummyEntity.triggerEvent('minecraft:despawn');
        });

        // Stop the animation for any nearby players
        const nearbyPlayers = deadEntity.dimension.getEntities({
            location: deadEntity.location,
            maxDistance: 0.8,
            type: "minecraft:player"
        });
    }
}
